Name:		sl7-upgrade
Version:	0.1.0
Release:	3%{?dist}
Summary:	A simple integration hook for PackageKit

Group:		System Environment/Base
License:	GPLv2+
URL:		https://www.scientificlinux.org/
Source0:	%{name}.tar.bz2

BuildArch:	noarch
BuildRequires:	bash coreutils util-linux
Requires:	PackageKit PackageKit-yum PackageKit-yum-plugin zenity
Requires:	usermode-gtk util-linux yum yum-plugin-upgrade-helper

# We need a version from 7.6, where we patched it so this actually works
Requires:	PackageKit > 1.1.5-2.sl7_5

# This version of sl-release provides the scripts we need
Requires:	sl-release >= 7.5-3
Requires:	/usr/libexec/sl-release/set-slrelease7x.sh
Conflicts:	sl-release >= 8.0

Provides:	config(preupgrade-scientificlinux) = 7.6
Provides:	config(preupgrade-sl) = 7.6

%description
This package provides the necessary hooks for PackageKit to detect
when a new release of SL7 is published and notify the user.

%prep
%setup -q -n %{name}


%build
echo "Done"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

mkdir -p %{buildroot}/usr/sbin/
ln -s ../bin/consolehelper-gtk %{buildroot}/usr/sbin/sl7-upgrade

mkdir -p %{buildroot}/usr/share/preupgrade/
install -m 0644 releases.list %{buildroot}/usr/share/preupgrade/releases.list

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
install -m 0644 consolehelper/sl7-upgrade.pam %{buildroot}%{_sysconfdir}/pam.d/sl7-upgrade

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
install -m 0644 consolehelper/sl7-upgrade.console %{buildroot}%{_sysconfdir}/security/console.apps/sl7-upgrade

mkdir -p %{buildroot}/usr/libexec/sl7-upgrade/
install -m 755 setup.sh %{buildroot}/usr/libexec/sl7-upgrade/

%files
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*
/usr/sbin/sl7-upgrade
/usr/share/preupgrade/releases.list
/usr/libexec/sl7-upgrade/setup.sh

%changelog
* Mon Oct 29 2018 Pat Riehecky <riehecky@fnal.gov> - 0.1.0
- Initial build for SL7
